<!doctype html>
<html id="html" <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo('charset'); ?>">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<meta name="google-site-verification" content="CimrmvJB70oQEGBUKZP-qu3V_GivA0-0q6CB3glS7c4" />
	
	<?php if ( is_front_page() ): ?>
		<title><?php bloginfo('name'); ?> - <?php bloginfo('description'); ?></title>
	<?php else: ?>
		<title><?php the_title(); ?> | <?php bloginfo('name'); ?></title>
	<?php endif; ?>	
	
	<meta name="author" content="<?php bloginfo( 'name' ); ?>" />
	<meta name="copyright" content="Copyright(c) 2018 - <?php bloginfo( 'name' ); ?>. Todos os direitos reservados." />	
	
	<meta property="og:title" content="<?php the_title(); ?> | <?php bloginfo('name'); ?>" />
	<meta property="og:type" content="article" />
	<meta property="og:url" content="<?php the_permalink(); ?>" />
	<meta property="og:image" content="<?php the_post_thumbnail_url('medium'); ?>" />
	<meta property="og:description" content="<?php the_excerpt(); ?>" />
	
	<?php wp_head(); ?>		
	<!--[if lt IE 9]>
		<script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
		<script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
	<![endif]-->
</head>
<body>
<header id="header">
	<div class="container">
		<div class="row">
			<div class="col-xs-9 col-sm-6 col-md-3">
				<?php if (is_front_page() ): ?>
					<h1 class="logo-contain">
						<a href="<?php bloginfo('url') ?>">
							<strong><?php bloginfo('name'); ?></strong>						
							<img src="<?php bloginfo( 'template_url' ); ?>/img/logo.png" alt="Bioland" class="logo img-responsive">
						</a>
					</h1>
				<?php else: ?>
					<div class="logo-contain">
						<a href="<?php bloginfo('url') ?>">
							<img src="<?php bloginfo( 'template_url' ); ?>/img/logo.png" alt="Bioland" class="logo img-responsive">
						</a>
					</div>
				<?php endif; ?>
			</div>
			<div class="col-xs-3 col-sm-6 col-md-9">
				<div id="menu-mobile"><span class="glyphicon glyphicon-menu-hamburger" aria-hidden="true"></span></div>
				<?php wp_nav_menu(array('menu'=>'header', 'menu_class' => 'menu-header', 'item_spacing' => 'discard')); ?>		
			</div>
		</div>
	</div>
</header>
<?php 
	if(is_tax('categoria')){
		$bannerPage = get_the_post_thumbnail_url(10);
		echo '<div id="banner-full" style="background-image:url(' . $bannerPage . ')"><a href="#page" class="banner-ancora"><span class="flaticon-arrows"></span></a></div>';
	}
	if(is_front_page()){
		$banners = get_field('slides','option');
		echo '<div id="slide">';
		foreach($banners as $banner){
			echo '
				<div class="banner-full" style="background-image:url(' . $banner['imagem'] . ')">
					<div class="container">
						<div class="row">
							<div class="col-sm-6 col-md-4">
								<div class="banner-texto">' . $banner['texto'] . '</div>
							</div>
						</div>
					</div>
				</div>
				
			';				
		}
		
		echo '</div>';
		echo '<div class="ancora-contain"><a href="#page" class="slide-ancora"><span class="flaticon-arrows"></span></a></div>';
	}
	if ( has_post_thumbnail() && !is_home() && !is_tax('categoria') && !is_front_page() ) { 
		$bannerPage = get_the_post_thumbnail_url();
		echo '<div id="banner-full" style="background-image:url(' . $bannerPage . ')"><a href="#page" class="banner-ancora"><span class="flaticon-arrows"></span></a></div>'; 
	}else{
		echo '<style>#page{padding-top:150px;}</style>';
	}
	
?>