<?php /* Template Name: Pagina de Produtos */ ?>
<?php get_header(); ?>
<style>
	#page{
		background:#fff;
	}

</style>
<div class="produtos-titulo">
	<div class="container">
		<div class="row">
			<div class="col-xs-12">
				<h1>PRODUTOS</h1>
			</div>
		</div>
	</div>
</div>
<div class="produtos-categorias">
	<div class="container">
		<div class="row">
			<div class="col-xs-12">
				<?php $terms = get_terms('categoria', array('hide_empty' => false)); ?>
				<ul>
					<?php foreach($terms as $categoria): ?>
					<li>
					<a href="<?php echo bloginfo('url')?>/categoria/<?php echo $categoria->slug; ?>" title="<?php echo $categoria->name; ?>">
						<?php echo $categoria->name; ?>
					</a>
					</li>
					<?php endforeach; ?>
				</ul>
			</div>
		</div>
	</div>
</div>
<main id="page">	
	<div class="container">
		<div class="row">
			<?php
				$paged = ( get_query_var( 'paged' ) ) ? absint( get_query_var( 'paged' ) ) : 1;		
				$args = array(
					'post_type' => 'produto',
					'posts_per_page' => 8,
					'paged' => $paged,
					'orderby' => 'ASC',
				);
				$wp_query = new WP_Query( $args );
				
				$i=0;
				if ( $wp_query->have_posts() ) : while ( $wp_query->have_posts() ) : $wp_query->the_post();
				if($i != 0 && ($i % 4) == 0){ echo '</div><div class="row">'; }
				
				$produtoImagem = get_the_post_thumbnail_url($post, 'medium_large');
				$produtoTitulo = get_the_title();
				$produtoDescricao = get_the_content();
				$produtoIngredientes = get_field('ingredientes');
				$produtoInformacoes = get_field('informacoes');
				$produtoTabelaNutricional = get_field('tabela_nutricional');
				$produtoObservacoes = get_field('observacoes');
				$produtoEmbalagens = get_field('embalagens');
			?>
			<div class="col-sm-3 produto">
				<div class="produto-imagem">
					<img src="<?php echo $produtoImagem ?>" alt="<?php echo $produtoTitulo ?>" class="img-responsive">
				</div>
				<div class="produto-titulo">
					<h2><?php echo $produtoTitulo ?></h2>
				</div>	
				<div class="produto-show">
					<div class="container">
						<div class="row text-right">
							<div class="col-xs-12">
								<img src="<?php bloginfo( 'template_url' ); ?>/img/close.png" alt="Fechar" class="close">
							</div>
						</div>
						<div class="row">
							<div class="col-sm-6">
								<img src="<?php echo $produtoImagem ?>" alt="<?php echo $produtoTitulo ?>" class="img-responsive">
								<?php if($produtoEmbalagens): ?>	
									<div class="produto-embalagens">
										<?php foreach($produtoEmbalagens as $embalagem): ?>
											<span class="produto-peso"><?php echo $embalagem['peso'] ?></span>
										<?php endforeach; ?>	
									</div>
								<?php endif; ?>	
							</div>
							<div class="col-sm-6">
								<section class="produto-info">
									<header><h1><?php echo $produtoTitulo ?></h1></header>
									<div class="produto-descricao">
										<h2>Descrição</h2>
										<?php echo $produtoDescricao ?>
									</div>
									<div class="produto-ingredientes">
										<h2>Ingredientes</h2>
										<?php echo $produtoIngredientes ?>
									</div>
									<div class="produto-nutrientes">
										<h2>Informação Nutricional</h2>
										<?php echo $produtoInformacoes ?>
									</div>								
									
									<?php if($produtoTabelaNutricional): ?>								
									<table class="table table-condensed table-striped">
										<?php foreach($produtoTabelaNutricional as $nutriente): ?>
										<tr>
											<td><?php echo $nutriente['descricao'] ?></td>
											<td><?php echo $nutriente['quantidade'] ?></td>
											<td><?php echo $nutriente['valor'] ?></td>
										</tr>
										<?php endforeach; ?>
									</table>
									<?php endif; ?>	
									<div class="produto-observacoes">
										*<?php echo $produtoObservacoes ?>
									</div>
								</section>
							</div>
						</div>
					</div>
				</div>
			</div>			
			<?php $i++; endwhile; endif; ?>		
		</div>
		<div class="row">
			<div class="col-md-12 text-center">
				<?php bootstrap_pagination() ?>
			</div>
		</div>
	</div>	
</main>
<?php get_footer(); ?>